clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::trace::Session Class Reference

Sets up a global EventTracer that consumes events produced by Span and trace::log. More...

`#include <Trace.h>`

## Public Member Functions
| Session (EventTracer &Tracer)
| ~Session ()

## Detailed Description

Sets up a global EventTracer that consumes events produced by Span and trace::log.

Only one TracingSession can be active at a time and it should be set up before calling any clangd-specific functions.

Definition at line 57 of file Trace.h.

## Constructor & Destructor Documentation

## ◆ Session()

clang::clangd::trace::Session::Session | ( | EventTracer & | Tracer | ) |

Definition at line 193 of file Trace.cpp.

## ◆ ~Session()

clang::clangd::trace::Session::~Session | ( |  | ) |

Definition at line 198 of file Trace.cpp.

The documentation for this class was generated from the following files:

- Trace.h
- Trace.cpp